Company logoTrust Center Documentation
API v1 ReferenceIntegrationsSlackCommands

Receive Slack slash commands

Validates the Slack request signature, resolves command intent, and forwards the callback payload to the jobs service.

Validates the Slack request signature, resolves command intent, and forwards the callback payload to the jobs service.

POST
/api/v1/integrations/slack/commands

Header Parameters

x-slack-signature*string

Slack HMAC signature header.

x-slack-request-timestamp*string

Unix timestamp used for replay protection.

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/slack/commands" \  -H "x-slack-signature: string" \  -H "x-slack-request-timestamp: string" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{
  "response_type": "ephemeral",
  "text": "Access request notifications enabled for this channel."
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}

How is this guide?